<template>
  <div class="side">
    <nuxt-link
      :to="{name: 'index'}"
      class="side__logo"
    />
    <div class="side__menu">
      <ul class="menu">
        <li
          v-for="key in menu"
          :key="key"
          class="menu__item"
        >
          <nuxt-link
            class="menu__link"
            :to="{name: key}"
            active-class="menu__link--active"
          >
            <div
              class="menu__icon"
            >
              <Icon
                :type="key"
                size="xlg"
              />
            </div>
            <div class="menu__label">
              {{ $t(`navigation.${key}`) }}
            </div>
          </nuxt-link>
        </li>
      </ul>
    </div>
    <button class="side__helpButton">
      <Icon type="question" />
    </button>
  </div>
</template>

<script>
import Icon from './Icon';

export default {
  name: 'Side',
  components: { Icon },
  data() {
    return {
      menu: ['quizzes', 'users', 'blacklists', 'callCenter'],
    };
  },
};
</script>

<style lang="scss">
  @import "../assets/variables";

  .side {
    display: flex;
    flex-direction: column;
    padding: 25px 10px;
    border-right: solid 1px $color-gray;

    &__logo {
      height: 50px;
      width: 50px;
      border-radius: 100%;
      background: red;
      margin: 0 auto;
      flex-shrink: 0;
      cursor: pointer;
    }

    &__menu {
      margin-top: 70px;
    }

    &__helpButton {
      flex-shrink: 0;
      margin: auto auto 0;

      height: 40px;
      width: 40px;
      box-shadow: 0 0 0 2px $color-black;
      border-radius: 100%;

      display: flex;
      align-items: center;
      justify-content: center;

      color: $color-green;
    }
  }

  .menu {
    $root: &;
    margin-bottom: 20px;

    &__item {
      &:not(:first-child) {
        margin-top: 10px;
      }
    }

    &__icon {
      display: flex;
      justify-content: center;
    }

    &__link {
      padding: 16px;
      display: grid;
      justify-content: center;
      grid-gap: 10px;
      border-radius: 10px;
      cursor: pointer;

      transition: color .15s, box-shadow .15s, background .15s;

      &:not(&--active) {
        &:hover,
        &:focus {
          box-shadow: 0 0 0 2px lighten($color-softGreen, 20%);
          color: lighten($color-softGreen, 20%);
        }
      }

      &--active {
        background: $color-gray;
        #{$root}__label {
          font-weight: bold;
        }
      }
    }
  }
</style>
